'''
Created on Nov 25, 2019
Sample structure of run file run.py

@author: cxchu
'''

import sys

def your_extracting_function(input_file, result_file):
    
    '''
    This function reads the input file (e.g. input.tsv)
    and extracts the required information of all given entity mentions.
    The results is saved in the result file (e.g. results.tsv)
    '''
    fout = open(result_file, 'w', encoding='utf8')
    fin = open(input_file, 'r', encoding='utf8')
    fout.write('entity\tdateOfBirth\tnationality\talmaMater\tawards\tworkPlaces\n')
    
    for line in fin.readlines():
        comps = line.rstrip().split("\t")
        entity = comps[0]
        abstract = comps[1]
        dateOfBirth = []
        nationality = []
        almaMater = []
        awards = []
        workPlace = []
        
        '''
        baseline: adding a random value
        '''
        dateOfBirth.append('1961-1-1')
        nationality.append('United States')
        almaMater.append('Johns Hopkins University')
        awards.append('Nobel Prize in Physics')
        workPlace.append('Johns Hopkins University')
        
        
        '''
        extracting information ...
        '''
        
        fout.write(entity + '\t' + str(dateOfBirth) + '\t' + str(nationality) + '\t' + str(almaMater) + '\t' + str(awards) + '\t' + str(workPlace) + '\n')
    fout.close()
    
    
'''
*** other code if needed
'''    
    
    
'''
main function
'''
if __name__ == '__main__':
    if len(sys.argv) != 3:
        raise ValueError('Expected exactly 2 argument: input file and result file')
    your_extracting_function(sys.argv[1], sys.argv[2])
